ghc-exactprint-0.6.2: ExactPrint for GHC

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GHC.ExactPrint.Pretty

Description

This module adds default annotations to an AST fragment that does not have them, to be able to exactprint it in a way that preserves the orginal AST when re-parsed.

Synopsis

- addAnnotationsForPretty :: Annotate a => [Comment] -> Located a -> Anns -> Anns

# Documentation

addAnnotationsForPretty :: Annotate a => [Comment] -> Located a -> Anns -> Anns Source #

Add any missing annotations so that the full AST element will exactprint properly when done.